Bug 136195 - system freezes when exiting X for ATI rage 128 Pro Ultra
system freezes when exiting X for ATI rage 128 Pro Ultra
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-18 13:45 EDT by Bob T.
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 10:32:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (43.59 KB, text/plain)
2004-10-20 15:10 EDT, Bob T.
no flags Details
xorg.conf (2.70 KB, text/plain)
2004-10-20 15:10 EDT, Bob T.
no flags Details

  None (edit)
Description Bob T. 2004-10-18 13:45:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
Just after logging out of an X session, the system freezes and has to
be reset.  If startx is used, the freeze happens the next time startx
is used. The card works well in other respects. The same behaviour has
been seen on several boxes and with kdm as well as gdm.  The card also
works fine on XFree86.  The card is properly recognized:

class: VIDEO
bus: PCI
detached: 0
driver: Card:ATI Rage 128 Pro Ultra
desc: "ATI|Rage 128 Pro Ultra TF"


Version-Release number of selected component (if applicable):
6.7.0-9

How reproducible:
Always

Steps to Reproduce:
1.logoff from an X session
2.
3.
    

Actual Results:  system freezes; even Ctrl-Alt-F1 doesn't work.

Expected Results:  login screen

Additional info:
Comment 1 Søren Sandmann Pedersen 2004-10-18 14:47:54 EDT
Could you attach the log file (/var/X11/Xorg.*.log) and your
configuration file (/etc/xorg.conf).

Also, if your configuration file has 'Load "dri"' in it, please try
commenting out that line by putting a # as the first character and see
if that makes the problem go away.

Comment 2 Bob T. 2004-10-20 15:10:00 EDT
Created attachment 105538 [details]
Xorg.0.log
Comment 3 Bob T. 2004-10-20 15:10:41 EDT
Created attachment 105539 [details]
xorg.conf
Comment 4 Bob T. 2004-10-20 17:12:20 EDT
 >|if your configuration file has 'Load "dri"' in it, please try
 >|commenting out that line by putting a # as the first character and
     >|see if that makes the problem go away.

It does.  What does "dri" do?
Comment 5 Mike A. Harris 2005-02-01 05:56:57 EST
http://dri.sourceforge.net has a documentation page which describes
the DRI project, and the details of what DRI is and how it works,
which you might find interesting perhaps.

If you comment out the Load "dri" line, as requested in
comment #1 above, and then restart X, does this problem go away?

Setting status to "NEEDINFO", awaiting feedback from testing with
DRI disabled.
Comment 6 Mike A. Harris 2005-04-15 10:32:01 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.